const theo = require('theo');

theo.registerFormat(
  'custom-props.css',
  `:root {
    {{#each props as |prop|}}
      {{#if prop.comment}}
      {{{trimLeft (indent (comment (trim prop.comment)))}}}
      {{/if}}
      --{{prop.namespace}}-{{#eq prop.scope "global"}}g-{{/eq}}{{#eq prop.scope "shared"}}s-{{/eq}}{{kebabcase prop.name}}: {{#eq prop.type "string"}}"{{/eq}}{{{prop.value}}}{{#eq prop.type "string"}}"{{/eq}};
      {{#and (test prop.namespace (toRegex "sds")) (not (test prop.name (toRegex "font-scale|font-size"))) }}
      --c360-{{#eq prop.scope "global"}}g-{{/eq}}{{#eq prop.scope "shared"}}s-{{/eq}}{{kebabcase prop.name}}: var(--{{prop.namespace}}-{{#eq prop.scope "global"}}g-{{/eq}}{{#eq prop.scope "shared"}}s-{{/eq}}{{kebabcase prop.name}});
      {{/and}}
    {{/each}}
  }
  `,
);
